package com.ltgk.common.enums;


import lombok.Getter;

/**
 * 渔船功率查询枚举类
 *
 * @author Qi ChengBin
 * @date 2025/04/03
 */
@Getter
public enum DsBoatPowerQueryEnums {
    SMALL_POWER(0, "小功率(<= 44.1 千瓦)", null, "44.1"),
    MEDIUM_POWER(1, "中功率(>44.1 千瓦 且 <= 294 千瓦)", "44.1", "294"),
    LARGE_POWER(2, "大功率(>294 千瓦)", "294", null);

    private final Integer code;
    private final String desc;
    private final String queryStartPower;
    private final String queryEndPower;

    DsBoatPowerQueryEnums(Integer code, String desc, String queryStartPower, String queryEndPower) {
        this.code = code;
        this.desc = desc;
        this.queryStartPower = queryStartPower;
        this.queryEndPower = queryEndPower;
    }
}
